Skip to main content
POST
Request guarded host chain progression

Authorizations

Authorization
string
header
required

API key authentication. Pass your key as a Bearer token. Keys use the format hm_live_<32 hex chars>. Generate keys from your Harmonica dashboard settings.

Path Parameters

id
string
required

Body

application/json
expected_step_id
string
required
Required string length: 1 - 200

Response

Original or replayed committed transition receipt

chain_id
string
required
from_step_id
string
required
action
enum<string>
required
Available options:
advanced,
closed
next_step_id
string | null
required
next_session_id
string | null
required
actor_id
string
required
auth_method
enum<string>
required
Available options:
session,
api_key
source
enum<string>
required

Original committing transport; replay preserves the original actor and source.

Available options:
api,
mcp
occurred_at
string<date-time>
required
replayed
boolean
required